PHP, which is a metacronym for PHP: Hypertext Preprocessor, is among the most widely used server-side programming languages available out there. Any site or Internet app created with PHP will run on a given server as long as a PHP module is enabled, which makes the language absolutely universal and it isn’t really a big surprise that there are several million servers that support it and hundreds of millions of PHP-powered sites running on them. PHP is preferred over HTML due to the fact that it allows you to build a dynamic website with a vast number of features. A PHP-based social networking website, for instance, will show unique web content to each user regardless of the fact that the URL will remain unchanged. In contrast, HTML-based websites are static and the page content itself can be modified only manually. Just like any other piece of software, PHP has several versions and the version that was used whilst creating a particular website must be activated on the web server in order for the site to run properly.

PHP 4 and PHP 5 Support in Cloud Hosting

Our cloud hosting servers support several versions of PHP, which goes to say that your websites will run faultlessly even if your PHP-based scripts are out of date. We accept the fact that an old site does not necessarily suggest an insecure one as you may have done lots of modifications to its source code. That is the reason why we support PHP 5.5, 5.4, 5.3, 5.2 and 4 and you can pick which one will be enabled for your account. You can change the version with a single click in your Hepsia hosting Control Panel and the new settings will be applied momentarily. In case you would like to run both older and newer scripts, there’s even an option to use a different version of PHP for each of your domains at the same time.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Our Linux semi-dedicated hosting support multiple versions of PHP, which means that you will be able to run all the Internet apps that you’ve set up through the years. The Hepsia hosting Control Panel, which comes bundled with every single account, will permit you to activate the required version with just one click of the mouse. You can pick between PHP 5.5, 5.4, 5.3, 5.2 and 4. In case you want to host multiple sites under one and the very same account and they have distinctive requirements for the web hosting environment, you’ll be able to choose a different PHP version for each one of them irrespective of which version has been enabled for the account itself. That’s accomplishable thanks to our custom-created cloud platform, which allows us to run different PHP versions simultaneously. In stark contrast, the great majority of web hosting vendors usually offer one, in exceptionally rare cases – two versions.